## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

#
# spec file for package obs-service-format_spec_file
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%global commit f8724f13e9c826cda97145f20facec9dbdc17536
%global short_commit %(echo %commit | cut -b 1-10)

Name:           obs-service-format_spec_file
Version:        0^20240121git%{short_commit}
Release:        %autorelease
Summary:        An OBS source service: reformats a spec file to SUSE standard
License:        GPL-2.0-only
URL:            https://github.com/openSUSE/%{name}
# osc service dr
Source:         %{URL}/archive/%{commit}.tar.gz
Requires:       obs-service-source_validator
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl(Text::Balanced)
BuildArch:      noarch

%description
This is a source service for openSUSE Build Service.

This source service is formating the spec file to SUSE standard. The rational
behind is to make it easier to review spec files from unknown packagers.

This should be used in "trylocal" mode, so that osc is adapting the existing
spec file instead of creating a new one.

%prep

%autosetup -n %{name}-%{commit}

%build
# nothing to build

%install
%make_install

%check
make check

%files
%license COPYING
%dir %{_prefix}/lib/obs
%{_prefix}/lib/obs/service

%changelog
## START: Generated by rpmautospec
* Fri Jul 26 2024 Dan Čermák <dan.cermak@cgc-instruments.com> - 0^20240121gitf8724f13e9-1
- Uncommitted changes

* Fri Jul 26 2024 Dan Čermák <dan.cermak@cgc-instruments.com> - 0^20240121git-1
- First package version
## END: Generated by rpmautospec
